Package tigase.util.ui.console

## Enum AnsiColor

- java.lang.Object
- - java.lang.Enum<AnsiColor>
  - - tigase.util.ui.console.AnsiColor

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AnsiColor>`

      public enum AnsiColor
      extends java.lang.Enum<AnsiColor>

  Codes to control colours in compatible terminals, based on https://en.wikipedia.org/wiki/ANSI_escape_code#3/4_bit

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BLACK` |
    `BLACK_BOLD` |
    `BLACK_BOLD_BRIGHT` |
    `BLACK_BRIGHT` |
    `BLUE` |
    `BLUE_BOLD` |
    `BLUE_BOLD_BRIGHT` |
    `BLUE_BRIGHT` |
    `CYAN` |
    `CYAN_BOLD` |
    `CYAN_BOLD_BRIGHT` |
    `CYAN_BRIGHT` |
    `GREEN` |
    `GREEN_BOLD` |
    `GREEN_BOLD_BRIGHT` |
    `GREEN_BRIGHT` |
    `MAGENTA` |
    `MAGENTA_BOLD` |
    `MAGENTA_BOLD_BRIGHT` |
    `MAGENTA_BRIGHT` |
    `RED` |
    `RED_BOLD` |
    `RED_BOLD_BRIGHT` |
    `RED_BRIGHT` |
    `RESET` |
    `WHITE` |
    `WHITE_BOLD` |
    `WHITE_BOLD_BRIGHT` |
    `WHITE_BRIGHT` |
    `YELLOW` |
    `YELLOW_BOLD` |
    `YELLOW_BOLD_BRIGHT` |
    `YELLOW_BRIGHT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isCompatible()` |
    `java.lang.String` | `toString()` |
    `static AnsiColor` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AnsiColor[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESET

          public static final AnsiColor RESET

    - #### BLACK

          public static final AnsiColor BLACK

    - #### RED

          public static final AnsiColor RED

    - #### GREEN

          public static final AnsiColor GREEN

    - #### YELLOW

          public static final AnsiColor YELLOW

    - #### BLUE

          public static final AnsiColor BLUE

    - #### MAGENTA

          public static final AnsiColor MAGENTA

    - #### CYAN

          public static final AnsiColor CYAN

    - #### WHITE

          public static final AnsiColor WHITE

    - #### BLACK_BRIGHT

          public static final AnsiColor BLACK_BRIGHT

    - #### RED_BRIGHT

          public static final AnsiColor RED_BRIGHT

    - #### GREEN_BRIGHT

          public static final AnsiColor GREEN_BRIGHT

    - #### YELLOW_BRIGHT

          public static final AnsiColor YELLOW_BRIGHT

    - #### BLUE_BRIGHT

          public static final AnsiColor BLUE_BRIGHT

    - #### MAGENTA_BRIGHT

          public static final AnsiColor MAGENTA_BRIGHT

    - #### CYAN_BRIGHT

          public static final AnsiColor CYAN_BRIGHT

    - #### WHITE_BRIGHT

          public static final AnsiColor WHITE_BRIGHT

    - #### BLACK_BOLD

          public static final AnsiColor BLACK_BOLD

    - #### RED_BOLD

          public static final AnsiColor RED_BOLD

    - #### GREEN_BOLD

          public static final AnsiColor GREEN_BOLD

    - #### YELLOW_BOLD

          public static final AnsiColor YELLOW_BOLD

    - #### BLUE_BOLD

          public static final AnsiColor BLUE_BOLD

    - #### MAGENTA_BOLD

          public static final AnsiColor MAGENTA_BOLD

    - #### CYAN_BOLD

          public static final AnsiColor CYAN_BOLD

    - #### WHITE_BOLD

          public static final AnsiColor WHITE_BOLD

    - #### BLACK_BOLD_BRIGHT

          public static final AnsiColor BLACK_BOLD_BRIGHT

    - #### RED_BOLD_BRIGHT

          public static final AnsiColor RED_BOLD_BRIGHT

    - #### GREEN_BOLD_BRIGHT

          public static final AnsiColor GREEN_BOLD_BRIGHT

    - #### YELLOW_BOLD_BRIGHT

          public static final AnsiColor YELLOW_BOLD_BRIGHT

    - #### BLUE_BOLD_BRIGHT

          public static final AnsiColor BLUE_BOLD_BRIGHT

    - #### MAGENTA_BOLD_BRIGHT

          public static final AnsiColor MAGENTA_BOLD_BRIGHT

    - #### CYAN_BOLD_BRIGHT

          public static final AnsiColor CYAN_BOLD_BRIGHT

    - #### WHITE_BOLD_BRIGHT

          public static final AnsiColor WHITE_BOLD_BRIGHT

  - ### Method Detail

    - #### values

          public static AnsiColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AnsiColor c : AnsiColor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AnsiColor valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isCompatible

          public static boolean isCompatible()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<AnsiColor>`